// SPDX-License-Identifier: (GPL-2.0-only OR BSD-3-Clause)
/*
 * Copyright (c) 2023 MediaTek Inc.
 */
#ifndef _MTK_TV_PNL_H
#define _MTK_TV_PNL_H

#include <panel_impl.h>
#include <MsTypes.h>

int mtk_pnl_cust_settings_befor_vcc(st_multi_cust_ic_info *multi_cust_ic);
int mtk_pnl_cust_settings_vcc_ontiming1(st_multi_cust_ic_info *multi_cust_ic);
int mtk_pnl_cust_settings_ontiming1_data(st_multi_cust_ic_info *multi_cust_ic);
int mtk_pnl_cust_settings_data_ontiming2(st_multi_cust_ic_info *multi_cust_ic);
int mtk_pnl_cust_settings_ontiming2_backlight(st_multi_cust_ic_info *multi_cust_ic);
int mtk_pnl_cust_settings_after_backlight(st_multi_cust_ic_info *multi_cust_ic);
int mtk_pnl_cust_set_panel_mode(st_cust_tcon_info *tcon_info);
int mtk_pnl_is_dlg_mode(void);
#endif

